package org.studiorailgun.sim.config.creature;

/**
 * Defines a creature
 */
public class CreatureDef {

    /**
     * The name of the creature type
     */
    String name;

    /**
     * The singular word for this type of creature
     */
    String singular;

    /**
     * The plural word for this type of creature
     */
    String plural;

    /**
     * Tracks whether this creature is a civilization builder or not
     */
    Boolean civBuilder;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSingular() {
        return singular;
    }

    public void setSingular(String singular) {
        this.singular = singular;
    }
    
    public String getPlural() {
        return plural;
    }

    public void setPlural(String plural) {
        this.plural = plural;
    }

    public Boolean getCivBuilder() {
        return civBuilder;
    }

    public void setCivBuilder(Boolean civBuilder) {
        this.civBuilder = civBuilder;
    }

    
    
}
